fitCopula-class {copula} | R Documentation

## Classes of Fitted Multivariate Models: Copula, Mvdc

### Description

Classes and summary methods related to copula model fitting.

### Objects from the Class

Objects can be created by calls to `fitCopula` or `fitMvdc`, respectively or to their `summary` methods.

### Slots

The “mother class”, `"fittedMV"` has the slots

`estimate`:

  `numeric`, the estimated parameters.

`var.est`:

  `numeric`, variance matrix estimate of the parameter estimator. See note below.

`loglik`:

  `numeric`, log likelihood evaluated at the maximizer.

`nsample`:

  `numeric`, integer representing the sample size.

`method`:

  `character`, method of estimation.

`fitting.stats`:

  a `list`, currently containing the numeric `convergence` code from `optim`, the `counts`, `message`, and all the `control` arguments explicitly passed to `optim`.

In addition, the `"fitCopula"` class has a slot

`copula`:

  the fitted copula, of class `"copula"`.

whereas the `"fitMvdc"` has

`mvdc`:

  the fitted distribution, of class `"mvdc"`.

### Extends

Classes `"fitCopula"` and `"fitMvdc"` extend class `"fittedMV"`, directly.

### Methods

summary

  `signature(object = "fitMvdc")`: ...

summary

  `signature(object = "fitCopula")`: ...

Further, there are S3 methods (class `"fittedMV"`) for `coef()`, `vcov()` and `logLik()`, see `fitMvdc`.

### References

Genest, C., Ghoudi, K., and Rivest, L.-P. (1995). A semiparametric estimation procedure of dependence parameters in multivariate families of distributions. Biometrika 82, 543–552.

[Package copula version 0.999-15 Index]